#
# IMPORTANT NOTE
#
# This chart inherits from our common library chart. You can check the default values/options here:
# https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml
#

image:
  # -- image repository
  repository: shlinkio/shlink
  # -- image pull policy
  pullPolicy: IfNotPresent
  # -- image tag
  tag: 2.7.1

# -- environment variables. See more environment variables in the [shlink documentation](https://shlink.io/documentation/install-docker-image/)
env: {}
  # SHORT_DOMAIN_HOST: "doma.in"
  # SHORT_DOMAIN_SCHEMA: "https"
  # GEOLITE_LICENSE_KEY: "kjh23ljkbndskj345"

# -- Configures service settings for the chart.
# @default -- See values.yaml
service:
  main:
    ports:
      http:
        port: 8080

ingress:
  # -- Enable and configure ingress settings for the chart under this key.
  # @default -- See values.yaml
  main:
    enabled: false

# -- Configure persistence settings for the chart under this key.
# @default -- See values.yaml
persistence: {}
  # params:
  #   enabled: false
  #   mountPath: /etc/shlink/config/params
  # data:
  #   enabled: false
  #   mountPath: /etc/shlink/data

# -- Enable and configure mariadb database subchart under this key.
#    For more options see [mariadb chart documentation](https://github.com/bitnami/charts/tree/master/bitnami/mariadb).
# @default -- See values.yaml
mariadb:
  enabled: false
  architecture: standalone
  auth:
    database: shlink
    username: shlink
    password: shlink-pass
    rootPassword: shlinkrootpass
  primary:
    persistence:
      enabled: false
      # storageClass: ""

# -- Enable and configure postgres database subchart under this key.
#    For more options see [postgres chart documentation](https://github.com/bitnami/charts/tree/master/bitnami/postgresql)
# @default -- See values.yaml
postgresql:
  enabled: false
  postgresqlUsername: shlink
  postgresqlPassword: shlink-pass
  postgresqlDatabase: shlink
  persistence:
    enabled: false
    # storageClass: ""
